@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

:root {
    --body-color: #f8f8f8;
    /**/
    --main-color-general: #5f1b2d;
    --main-color-general-hover: #861e34;
    --main-grey: #f8f8f8;
    --main-text: #7c7c7c;
    --main-text-low: #cac9c7;
    /**/
    --main-menu-select: #dbd9cd;
    /**/
    --main-menu: #e4e4e4;
    --main-menu-grey: #f0f0f0;
    /**/
    /*--footer-content-image: #A19E95;*/
    /*--footer-content-redsocial: #D2CBC1;*/
    /*--footer-content-social: #343434;*/
    /*--footer-content-author: #3d3d3f;*/
    /*Bootstrap*/
    --bs-primary: #5f1b2d;
    --bs-primary-rgb: #57000b;
    --bs-primary-border-subtle: #57000b;
}

html, body {
    font: 400 16px Poppins;
    font-style: normal;
    font-variant-caps: normal;
    font-variant-ligatures: normal;
    font-variant-numeric: normal;   
    font-variant-east-asian: normal;
    font-variant-alternates: normal;
    font-kerning: auto;
    font-optical-sizing: auto;
    font-feature-settings: normal;
    font-variation-settings: normal;
    font-weight: 400;
    font-stretch: normal;
    font-size: 16px;
    color:var(--main-text);
    line-height: normal;
    font-family: Poppins, serif;
    background-color: var(--body-color);
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-general {
    color: #fff;
    background-color: var(--main-color-general);
    border-color: var(--main-color-general);
    border: none;
    border-radius: 25px 25px 25px 25px !important;
}

    .btn-general:hover {
        background-color: var(--main-color-general-hover);
        border-color: var(--main-color-general);
        color: #fff;
    }

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: var(--main-color-general);
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.page-item.active .page-link {
    color: #fff !important;
    background-color: var(--main-color-general) !important;
    border-color: var(--main-color-general) !important;
}

a.page.page-link {
    color: var(--main-color-general);
}


.link:hover {
    color: #691b33 !important;
    transition: all .2s ease;
}

.link {
    transition: all .2s ease;
    font-weight: 500;
}

.filterBackground {
    backdrop-filter: blur(5px) !important;
}

#botlers-messaging-button-iframe {
    bottom: 80px;
    padding:0px;
}

@media (max-width: 767.98px) {

    #botlers-messaging-button-iframe {
        bottom: 0 !important;
        padding: 0 !important;
        width: 60px;
        height: 60px;
    }
    
    ::deep .popover_services {
        margin-left: 20px !important;
        margin-right: 20px !important;
    }
    
}


@media (min-width: 1400px){
    .container-rl{
        max-width: 1520px;
    }
}

@media (max-width: 1420px){
    .container-rl{
        max-width: 1240px;
    }
}

@media (max-width: 1200px){
    .container-rl{
        max-width: 1040px;
    }
}

@media (max-width: 1100px){
    .container-rl{
        max-width: 860px;
    }
}

@media (max-width: 890px){
    .container-rl{
        max-width: 720px;
    }
}

.container-rl{
    width: 100%;
    margin-right: auto;
    margin-left: auto;
}

/* Sweet Alert*/

.swal2-confirm{
    border-color: var(--main-color-general-hover) !important;
}
.swal2-confirm:focus {
    box-shadow: 0 0 0 3px rgba(var(--main-color-general-hover),.5) !important;
}

.swal2-container{
    z-index: 9080 !important;
}
/* End Sweet Alert*/
